Bug 980200 - Seam2.3 examples "Duplicate component name" errors in JBDS
Seam2.3 examples "Duplicate component name" errors in JBDS
Status: CLOSED INSUFFICIENT_DATA
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marek Novotny
Marek Schmidt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 13:03 EDT by Marek Schmidt
Modified: 2013-07-22 09:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
JBoss Developer Studio is confused due to two components.xml files in a project, even if one of them is a test-only file. JBoss Developer Studio generates 'Duplicate component name' error when importing Seam examples. To work around this issue, rename the test components.xml file (for example, components-test.xml) and update the shrinkwrap code in the test accordingly (for example, .addAsWebInfResource("components-test.xml", "components.xml").
Story Points: ---
Clone Of:
Environment:
JBDS 7.0.0.Beta2
Last Closed: 2013-07-22 09:03:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFK2-84 Major Verified Seam2.3 examples "Duplicate component name" errors in JBDS 2013-11-19 06:48:06 EST

  None (edit)
Description Marek Schmidt 2013-07-01 13:03:29 EDT
Description of problem:

Importing seam examples into JBDS leads to 'Duplicate component name" errors. The problem is that JBDS doesn't understand src/test as a separate folder where test resources go and is confused by the test-only "component.xml" file.

This issue tracks JBDS issue: https://issues.jboss.org/browse/JBDS-2675

Version-Release number of selected component (if applicable):
WFK 2.3.0.CR1


Workaround is to rename the test components.xml to e.g. components-test.xml and update the shrinkwrap code in the test accordingly.
Comment 1 Sneha 2013-07-04 07:36:06 EDT
Updated doc text.

Note You need to log in before you can comment on or make changes to this bug.